/*
* PROJECT: Happy New Year
* VERSION: 1.0
* AUTHOR: Mattias Thell
* URL: http://www.mattiasthell.com
*
* */

#pragma once

#include <hgefont.h>
#include <hgegui.h>

namespace hny {

	class World;
	class Menu
	{
	public:
		Menu(World* world);
		~Menu();

		bool Update(float dt);
		void Draw();

		void DisplayScore(bool enable);

	private:
		World* mWorld;

		hgeGUI* mGui;
		hgeGUI* mScoreGui;
		hgeFont* mFont;

		hgeSprite* mCursor;

		bool mDisplayScore;
	};
}
